#ifndef COSMOS0PUTAWAY_h
#define COSMOS0PUTAWAY_h

#ifndef MINUTE
#define MINUTE        1
#endif
#ifndef HOUR
#define HOUR          0
#endif
#define COSMOSLINELEN		  83 /* Cosmos lines are 80 characters long, but we leave extra characters for the line ending \r\n\0 */
/* see pa_subs.h for more prototypes you might expect to be here*/
static const char GAPSTRING[] = "gap"; 
int FindTabularBase(int, long *, TRACE_REQ *, double, int);
long Median(int , long *);
int longCompareForQsort(const void *, const void *);

#define TAG_FILE        '.tag'        /* file containing the last known file tag */
#define GAP_FILL        "NaN"
#define MAXTXT           150

#include "read_arc.h"

/* COSMOS info
*************************/
/* Some text path variables we'd like to pass along to the COSMOS0PA_next without passing too many parameters */
typedef struct
{
	/* the request portion */
	char    COSMOS0File[4 * MAXTXT];	/* save files here */
	char    COSMOS0LibFile[4 * MAXTXT];	/* v0 library location */
	char    EventArcFile[4 * MAXTXT];	/* name of the single arcfile we'll work with */
	HypoArc			arcmsg;             /* Hypocenter info goes here */
}
COSMOS;

FILE    *COSMOS0fp;                      /* file pointer for the COSMOS0 output file */
FILE    *COSMOS0Libfp;                   /* file pointer for the COSMOS0 library file */
FILE    *EVENTARCfp;                     /* file pointer to the seismic event file */

#endif /* COSMOS0PUTAWAY_h */
